
-- god thank you cpone

Hooks:PostHook( TweakData, "_init_pd2", "tweakdata_jesuschrist", function(self)
	local part_to_hunt = "wpn_fps_upg_m4_m_pmag"
	log("[TTI PACK] Adding TTI PMAG to applicable weapons...")
	local function get_factory_id(weapon_id)
		for id, data in pairs(self.upgrades.definitions) do
			if data.category == "weapon" and data.weapon_id == weapon_id and data.factory_id then
				return data.factory_id
			end
		end
	end

	for weapon_id, weapon_data in pairs(self.weapon) do
		local factory_id = get_factory_id(weapon_id)

		if ( factory_id ) then
			local factory_data = self.weapon.factory[factory_id]

			if ( factory_data and factory_data.uses_parts and table.contains(factory_data.uses_parts, part_to_hunt)) then
				if self.weapon.SetupAttachmentPoint then
					log(tostring(factory_id))
					log("...Done!")
					self.weapon:SetupAttachmentPoint( weapon_id, {
						name = "a_tti_pl8",
						base_a_obj = "a_m",
						part_attach_data = {
							{"wpn_fps_upg_m_tti"},
							"g_wpn_fps_upg_m4_m_pmag"
						},
						position = Vector3( 0, 0, 0 ),
						rotation = RotationCAP( 0, 0, 0 ) -- todo: check for rotation in original a_obj?
					})
				end

				table.insert(factory_data.uses_parts, "wpn_fps_upg_m_tti")
            end
        end
    end
	log("[TTI PACK] Addition of TTI PMAG completed successfully! Nice.")
end)